X
Tap here to go to the mobile version of the site.

Support Forum

I have updated to ver 67. Most of the important extensions are disabled

Posted

The browser got updated automatically to ver 67. Most of important extensions are disabled. When I try to install the extensions from the list, I get a message that download failed, check your connections. But I am able to download files in chrome. I have uploaded the screenshot. How to get back my extensions. Please help.

pscraja

The browser got updated automatically to ver 67. Most of important extensions are disabled. When I try to install the extensions from the list, I get a message that download failed, check your connections. But I am able to download files in chrome. I have uploaded the screenshot. How to get back my extensions. Please help. pscraja
Attached screenshots

Chosen solution

Sorry, it's not your connection (most likely). The problem is, a critical certificate used in verifying add-on signatures expired. So everything fails testing.

Mozilla is distributing a hotfix to re-enable using, installing and updating add-ons. Please check this article to make sure your Firefox is set up to receive the patch(es):

Add-ons disabled or fail to install on Firefox

Read this answer in context 0
Quote

Additional System Details

Installed Plug-ins

print friendly and pdf one tab

Application

  • User Agent: Mozilla/5.0 (Windows NT 6.1; rv:67.0) Gecko/20100101 Firefox/67.0

More Information

jscher2000
  • Top 10 Contributor
8634 solutions 70618 answers

Chosen Solution

Sorry, it's not your connection (most likely). The problem is, a critical certificate used in verifying add-on signatures expired. So everything fails testing.

Mozilla is distributing a hotfix to re-enable using, installing and updating add-ons. Please check this article to make sure your Firefox is set up to receive the patch(es):

Add-ons disabled or fail to install on Firefox

Sorry, it's not your connection (most likely). The problem is, a critical certificate used in verifying add-on signatures expired. So everything fails testing. Mozilla is distributing a hotfix to re-enable using, installing and updating add-ons. Please check this article to make sure your Firefox is set up to receive the patch(es): [[Add-ons disabled or fail to install on Firefox]]
Was this helpful to you?
Quote
Ask a question

You must log in to your account to reply to posts. Please start a new question, if you do not have an account yet.